### Signal

# Soup ServerMessage::wrote-chunk

#### Declaration

    void
    wrote_chunk (
      SoupServerMessage* self,
      gpointer user_data
    )

#### Description [src]

Emitted immediately after writing a body chunk for a message.

Note that this signal is not parallel to `SoupServerMessage::got-chunk`; it is emitted only when a complete chunk (added with `soup_message_body_append()` or `soup_message_body_append_bytes()` has been written. To get more useful continuous progress information, use `SoupServerMessage::wrote-body-data`.

Default handler: The default handler is called after the handlers added via `g_signal_connect()`.